Page MenuHomePhabricator

PHP Warning: implode(): Invalid arguments passed in ApiTranslateSandbox.php on line 170
Closed, ResolvedPublic

Description

12.50 -rakkaus:#mediawiki-i18n- (11 lines skipped) [Tue May 19 12:50:14 2015] [hphp] [4010:7fea11fff700:24:000002] [] \nWarning: Invalid operand type was used: implode() 
          expects a container as one of the arguments in /srv/mediawiki/tags/2015-05-18_15:13:26/extensions/Translate/api/ApiTranslateSandbox.php on line 170
09.58 -rakkaus:#mediawiki-i18n- (1 lines skipped) [25-May-2015 07:57:48 UTC] PHP Warning:  implode(): Invalid arguments passed in 
          /srv/mediawiki/tags/2015-05-24_16:06:21/extensions/Translate/api/ApiTranslateSandbox.php on line 170

This happened when I tried to approve a translator on https://translatewiki.net/wiki/Special:ManageTranslatorSandbox ; it turns out I had already approved it but it wasn't removed from the list (or rather, another translator had been removed instead).

I should instead get an error message. Related: T60706.

Event Timeline

Nemo_bis created this task.May 25 2015, 8:09 AM
Nemo_bis raised the priority of this task from to Medium.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2015, 8:09 AM
Krinkle added a subscriber: Krinkle.

Has this been seen recently since 2016? (the recently merged issue was also a report from 2016).

This is still happening regularly:

[10:51:05] -rakkaus:#mediawiki-i18n- (1 lines skipped) [14-Oct-2018 07:50:50 UTC] PHP Warning: implode(): Invalid arguments passed in /srv/mediawiki/tags/2018-10-02_08:17:51/extensions/Translate/api/ApiTranslateSandbox.php on line 173

It happens when user who signs up doesn't give any languages (the reporter says something else, but I believe these are the same issue).

Also, I don't use translatewiki.net tag on bugs which only "affect translatewiki.net".

Change 547857 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Fix logspam in ApiTranslateSandbox

https://gerrit.wikimedia.org/r/547857

Change 547857 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix logspam in ApiTranslateSandbox

https://gerrit.wikimedia.org/r/547857

Nikerabbit closed this task as Resolved.Nov 6 2019, 8:12 AM